Eq20 Class Reference
Example scripts (models)

Example: Solving 20 linear equations More...

## Public Member Functions

| Eq20 (const Options &opt)
| The actual problem.
| Eq20 (Eq20 &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Perform copying during cloning.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Solving 20 linear equations

Standard benchmark for solving linear equations.

Definition at line 47 of file eq20.cpp.

## Constructor & Destructor Documentation

## Eq20() [1/2]

Eq20::Eq20 | ( | const Options & | opt | ) |

inline

The actual problem.

Definition at line 57 of file eq20.cpp.

## Eq20() [2/2]

Eq20::Eq20 | ( | Eq20 & | s | ) |

inline

Constructor for cloning s.

Definition at line 91 of file eq20.cpp.

## Member Function Documentation

## copy()

virtual Space * Eq20::copy | ( | void |  | ) |

inline virtual

Perform copying during cloning.

Definition at line 96 of file eq20.cpp.

## print()

virtual void Eq20::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >.

Definition at line 101 of file eq20.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 111 of file eq20.cpp.

The documentation for this class was generated from the following file:

- examples/eq20.cpp